Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui
Class APRSGuiConstants

    java.lang.Object
      org.ka2ddo.yaac.gui.APRSGuiConstants

    public class APRSGuiConstants

extends java.lang.Object

This class contains various GUI-related APRS constants, such as color codings for symbols.

Field Summary
`static java.util.Set<SelectableSymbol>` | `REPEATER_SYMBOLS` All the APRS symbols that correspond to some kind of repeater.
`static java.lang.String` | `SYMBOL_AREA` Symbolic String for GUI card sub-panel configuring Area symbols (\l).
`static java.lang.String` | `SYMBOL_HURRICANE` Symbolic String for GUI card sub-panel configuring hurricane symbols (/@ and \@).
`static java.lang.String` | `SYMBOL_REPEATER` Symbolic String for GUI card sub-panel configuring Repeater symbols (\r).
`static java.lang.String` | `SYMBOL_SIGNPOST` Symbolic String for GUI card sub-panel configuring Signpost symbols (\m).
`static java.lang.String` | `SYMBOL_WX` Symbolic String for GUI card sub-panel configuring weather station symbols (/_ and \_).

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYMBOL_AREA

    public static final java.lang.String SYMBOL_AREA

  Symbolic String for GUI card sub-panel configuring Area symbols (\l).

  See Also:
    Constant Field Values

### SYMBOL_SIGNPOST

    public static final java.lang.String SYMBOL_SIGNPOST

  Symbolic String for GUI card sub-panel configuring Signpost symbols (\m).

  See Also:
    Constant Field Values

### SYMBOL_REPEATER

    public static final java.lang.String SYMBOL_REPEATER

  Symbolic String for GUI card sub-panel configuring Repeater symbols (\r).

  See Also:
    Constant Field Values

### SYMBOL_WX

    public static final java.lang.String SYMBOL_WX

  Symbolic String for GUI card sub-panel configuring weather station symbols (/_ and \_).

  See Also:
    Constant Field Values

### SYMBOL_HURRICANE

    public static final java.lang.String SYMBOL_HURRICANE

  Symbolic String for GUI card sub-panel configuring hurricane symbols (/@ and \@).

  See Also:
    Constant Field Values

### REPEATER_SYMBOLS

    public static final java.util.Set<SelectableSymbol> REPEATER_SYMBOLS

  All the APRS symbols that correspond to some kind of repeater.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD